/* ---rgf, 2003-03-10, 2003-03-05, 2003-04-16, 2003-04-22 */

if rxFuncQuery("BSF") = 1 then   /* BSF() support not loaded yet ? */
do
   call rxFuncAdd "BsfLoadFuncs", "BSF4Rexx", "BsfLoadFuncs"
   call BsfLoadFuncs
   call BsfLoadJava
end

parse version version
say 'Rexx interpreter: ' version
say 'BSF4Rexx (DLL/so):' bsfVersion()
say 'Java Rexx engine: ' bsf("version")
say

   /* show the Java version in use for this invocation */
say 'Java version:     ' pp(bsf('invoke', 'System.class', 'getProperty', 'java.version' ))
say 'Java home dir:    ' pp(bsf('invoke', 'System.class', 'getProperty', 'java.home' ))
say
say 'Java library path:' pp(bsf('invoke', 'System.class', 'getProperty', 'java.library.path' ))


say
text="directly by Rexx (and loaded Java)"
if BsfInvokedBy()=1 then text="via Java"
say "This Rexx script was invoked:" text

say
call BsfQueryRegisteredFunctions "s."
say "The following BSF-functions are registered with Rexx:"
do i=1 to s.0
   say "  " s.i
end
exit

pp: procedure
  return "[" || arg(1) || "]"
